<%= form_with(model: reservation) do |form| %>
  <% if reservation.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(reservation.errors.count, "error") %> prohibited this reservation from being saved:</h2>

      <ul>
        <% reservation.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :datedeb, "Arrivée :" %>
    <%= form.date_select :datedeb %>
  </div>

  <div class="field">
    <%= form.label :datefin, "Départ :" %>
    <%= form.date_select :datefin %>
  </div>

  <div class="field">
    <%= form.label :nbpersonnes, "Voyageurs :" %>
    <%= form.number_field :nbpersonnes, min: 1, required: true %>
  </div>


  <div class="field">
    <%= form.hidden_field :location_id, value: location.id %>
  </div>


  <div class="actions">
    <%= form.submit "Valider Réservation", class: "btn btn-danger w-100" %>
  </div>
<% end %>
